Subject: Re: bug#20092: 24.4.91; False matches with incremental search in Info

From: Stefan Monnier <[email-masked]>
Date: Thu, 12 Mar 2015 21:12:08 -0400

> Since Info doesn't open invisible text, then maybe `Info-mode' should
> set the buffer-local value of `search-invisible' to nil?

That would work around the problem, yes.

>> I'm not sure what's the best and/or simplest way to fix it.
>> Maybe a first step would be to emit a message explaining that the match
>> is inside hidden text (at least so the user gets a clue about what's
>> going on).
> Like in the message prefix?
[...]
> Or maybe better in the message suffix?

Either way is fine by me.  I guess the next step would be to include
some extract of the hidden&matched text, but there's no hurry.

>>> In any case looking at the code, it does actually toggle
>>> (between nil and t), but also changes `open' to nil, and then one can
>>> never "toggle" back to `open'.
>> That's indeed another problem that should be fixed.
> I can't reproduce this problem: after `C-s M-s i M-s i'
> isearch-invisible is still `open'.

So maybe there's no problem on this front after all.

        Stefan